Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
    Abdelkader Boudih
    @seuros
    @rbritom , we probably need to fix the ugly queries soon , with Arel.
    Radhames Brito
    @rbritom
    thats my vote
    its currently attempting the same thing arel does
    Abdelkader Boudih
    @seuros
    i'm ready to drop support until 4.2 if that make things easier
    Radhames Brito
    @rbritom
    we just need to make sure they are composable with what ever AR already does
    Krzysztof Rybka
    @krzysiek1507
    Hi guys
    Abdelkader Boudih
    @seuros
    Hi @krzysiek1507
    thank you both for your work on AATO.
    i want to release a prerelease as soon as possible
    Krzysztof Rybka
    @krzysiek1507
    There are 2 bugs in rails 5.0.0
    Abdelkader Boudih
    @seuros
    the build is not failling in mysql2 and AR 4.0/1
    yes, i'm aware of that
    we can use your patch for the prerelease
    Radhames Brito
    @rbritom
    the nested joins one and which is the other?
    Abdelkader Boudih
    @seuros
    no
    Krzysztof Rybka
    @krzysiek1507
    array passed as argument to scope
    Radhames Brito
    @rbritom
    ok, im not in the loop then
    ah sure
    Abdelkader Boudih
    @seuros
    rails/rails#25702
    and rails/rails#25653
    Radhames Brito
    @rbritom
    the first one I was aware of
    we can use this patch if it really a bug
    Krzysztof Rybka
    @krzysiek1507
    I can create PR but about 9 p.m UTC. If you have time now, just copy this copy and create PR
    Abdelkader Boudih
    @seuros
    ok, i can do it using github inline edit
    Krzysztof Rybka
    @krzysiek1507
    Ok, thanks
    Krzysztof Rybka
    @krzysiek1507
    @seuros are you going to release the prerelease today?
    Abdelkader Boudih
    @seuros
    you think we should ?
    Krzysztof Rybka
    @krzysiek1507
    We should wait for 5.0.x with fixed but we could release with info about these bugs
    Abdelkader Boudih
    @seuros
    prerelease need to get installed manually
    so bundle update won't upgrade
    we can have a warning in the Upgrading.md
    Krzysztof Rybka
    @krzysiek1507
    Yeah, I know, but we should point out about known bugs
    Abdelkader Boudih
    @seuros
    i agree
    Krzysztof Rybka
    @krzysiek1507
    @seuros please ping me right after prerelease is released
    Abdelkader Boudih
    @seuros
    i will ping you before
    Krzysztof Rybka
    @krzysiek1507
    @seuros do you need any help?
    Abdelkader Boudih
    @seuros
    @krzysiek1507 i'm here now
    sorry for delay.
    Cody Loyd
    @codyloyd
    so... is there any way to get this gem working with rails/activerecord 5?
    Cody Loyd
    @codyloyd
    nevermind.. pulling it from the git source works